%define upstream_name HTTP_Session
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.6
Release:     	%mkrel 1
Summary:    	Object-oriented interface to the session_* family functions
License: 	PHP Licence
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_Session-%{version}.tgz
URL: 		http://pear.php.net/package/HTTP_Session
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Object-oriented interface to the session_* family functions.
It provides extra features such as database storage for
session data using the DB, MDB, and MDB2 package as well as the Memcache
extension. It introduces new methods
like isNew(), useCookies(), setExpire(), setIdle(),
isExpired(), isIdled() and others.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_Session.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_Session.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_Session
fi

%files
%defattr(-,root,root)
%doc docs/HTTP_Session/*
%{peardir}/*
%{xmldir}/HTTP_Session.xml


%changelog

* Tue Mar 06 2012 spuhler <spuhler> 0.5.6-1.mga2
+ Revision: 219560
- upgrade to 0.5.6
  pearized spec

* Fri Jan 28 2011 spuhler <spuhler> 0.5.5-6.mga1
+ Revision: 42603
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_Session

